List of plans
curl --request GET \
--url {scheme}://{domain}/api/v1/aggregator/plans \
--header 'x-api-key: <api-key>'import requests
url = "{scheme}://{domain}/api/v1/aggregator/plans"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('{scheme}://{domain}/api/v1/aggregator/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "{scheme}://{domain}/api/v1/aggregator/plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "{scheme}://{domain}/api/v1/aggregator/plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("{scheme}://{domain}/api/v1/aggregator/plans")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("{scheme}://{domain}/api/v1/aggregator/plans")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"planCode": "68b74fd80e51671c21e46913",
"planTitle": "Standard",
"planType": "svod",
"description": "This is an invisible plan for Aggre Gator Ltd.",
"identifier": "aggre_6months_399",
"billingFrequency": {
"value": "months",
"is_recurring": false,
"multiplier": "1",
"_id": "68b74fd80e51671c21e46914"
},
"canDownload": false,
"startDate": "2025-09-03",
"endDate": null,
"noEndDate": true,
"contentIds": [
"66fb907f70381480c75da8cc",
"66fb9b8970381480c75daaa3",
"66fba41d70381480c75dabfc",
"66fbaa6370381480c75dacfc",
"66fbb8af70381480c75daf52"
],
"countries": [
{
"countryCode": "IN",
"costPerBilling": "399"
}
]
}
]Plans
List of plans
Returns all plans from the system that the caller can access.
GET
/
plans
List of plans
curl --request GET \
--url {scheme}://{domain}/api/v1/aggregator/plans \
--header 'x-api-key: <api-key>'import requests
url = "{scheme}://{domain}/api/v1/aggregator/plans"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('{scheme}://{domain}/api/v1/aggregator/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "{scheme}://{domain}/api/v1/aggregator/plans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "{scheme}://{domain}/api/v1/aggregator/plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("{scheme}://{domain}/api/v1/aggregator/plans")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("{scheme}://{domain}/api/v1/aggregator/plans")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"planCode": "68b74fd80e51671c21e46913",
"planTitle": "Standard",
"planType": "svod",
"description": "This is an invisible plan for Aggre Gator Ltd.",
"identifier": "aggre_6months_399",
"billingFrequency": {
"value": "months",
"is_recurring": false,
"multiplier": "1",
"_id": "68b74fd80e51671c21e46914"
},
"canDownload": false,
"startDate": "2025-09-03",
"endDate": null,
"noEndDate": true,
"contentIds": [
"66fb907f70381480c75da8cc",
"66fb9b8970381480c75daaa3",
"66fba41d70381480c75dabfc",
"66fbaa6370381480c75dacfc",
"66fbb8af70381480c75daf52"
],
"countries": [
{
"countryCode": "IN",
"costPerBilling": "399"
}
]
}
]Authorizations
Query Parameters
The maximum number of results to return
Required range:
x >= 1
